import { List } from 'immutable';
export declare type PromiseOr<T> = T | Promise<T>;
/** Checks for null or undefined. */
export declare function isNullOrUndefined<T>(object: T): boolean;
/** Returns `collection` as an immutable List. */
export declare function asImmutableList<T>(collection: T[] | List<T>): List<T>;
/** Constructs a compiler-caused Error. */
export declare function compilerError(message: string): Error;
/** Constructs a host-caused Error. */
export declare function hostError(message: string): Error;
/** Constructs an error caused by an invalid value type. */
export declare function valueError(message: string, name?: string): Error;
/** Converts a (possibly relative) path on the local filesystem to a URL. */
export declare function pathToUrlString(path: string): string;
/** Returns `path` without an extension, if it had one. */
export declare function withoutExtension(path: string): string;
