import { Value } from './value';
/**
 * Sass boolean.
 *
 * Cannot be constructed; exists only as an interface and the exported
 * singletons.
 */
export interface SassBoolean extends Value {
    readonly value: boolean;
}
declare class SassBooleanInternal extends Value implements SassBoolean {
    private readonly valueInternal;
    constructor(valueInternal: boolean);
    get value(): boolean;
    get isTruthy(): boolean;
    assertBoolean(): SassBoolean;
    equals(other: Value): boolean;
    hashCode(): number;
    toString(): string;
}
/** The singleton instance of SassScript true. */
export declare const sassTrue: SassBooleanInternal;
/** The singleton instance of SassScript false. */
export declare const sassFalse: SassBooleanInternal;
export {};
