import { List, OrderedMap } from 'immutable';
import { Value } from './value';
import { ListSeparator } from './list';
/** A SassScript map */
export declare class SassMap extends Value {
    private readonly contentsInternal;
    /** Returns a map that contains `contents`. */
    constructor(contents: OrderedMap<Value, Value>);
    /** Returns an empty map. */
    static empty(): SassMap;
    /** The separator for `this`'s contents as a list. */
    get separator(): ListSeparator;
    /** `this`'s contents. */
    get contents(): OrderedMap<Value, Value>;
    /**
     * Returns an immutable list of `contents`'s keys and values as two-element
     * `SassList`s.
     */
    get asList(): List<Value>;
    protected get lengthAsList(): number;
    assertMap(): SassMap;
    tryMap(): OrderedMap<Value, Value>;
    equals(other: Value): boolean;
    hashCode(): number;
    toString(): string;
}
