/**
 * Gets the Embedded Protocol.
 *
 * Can download the release `version`, check out and build the source from a Git
 * `ref`, or build from the source at `path`.
 *
 * By default, downloads the release version specified in package.json. Throws
 * if an error occurs.
 */
export declare function getEmbeddedProtocol(outPath: string, options?: {
    version: string;
} | {
    ref: string;
} | {
    path: string;
}): Promise<void>;
/**
 * Gets the Dart Sass wrapper for the Embedded Compiler.
 *
 * Can download the release `version`, check out and build the source from a Git
 * `ref`, or build from the source at `path`.
 *
 * By default, downloads the release version specified in package.json. Throws
 * if an error occurs.
 */
export declare function getDartSassEmbedded(outPath: string, options?: {
    version: string;
} | {
    ref: string;
} | {
    path: string;
}): Promise<void>;
